<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class DemoProduct extends Model
{
    protected $fillable = [
        'demo_id',
        'product_id',
        'created_at',
        'updated_at',
    ];

    public function demo(): BelongsTo
    {
        return $this->belongsTo(Demo::class);
    }

    public function product(): BelongsTo
    {
        return $this->belongsTo(Product::class);
    }
}
